<#--
/* Copyright 2009-2011 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->
<#macro showreq req><#t>
  <#local node = req/><#t>
  <#local childrenList = node.getSortedShownChildren()/><#t>
  <#local node_fid=req.attrs().getStringAttributeValue("ForeignID","0")/>
  <#if node_fid != "0" && node.getType() == "Requirement" && req.attrs().getStringAttributeValue("Вид","") == "" ><#t>
    ${node.getUserVisibleName()}: ${node_fid}<#lt>
  </#if><#t>
<#list childrenList as child>
   <@showreq child/>
</#list>
</#macro><#t>
<@showreq rootReq/>
<#if root.getError() != "">
   <errors><![CDATA[${utils.htmlEscape(root.getError())}]]></errors>
</#if>

